# Interface IServiceScopes

public interface IServiceScopes
Different levels of service locators supported by the workbench.

Since:
  3.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DIALOG_SCOPE`
A sub-scope to the global scope that is not the workbench window.
`static final String`
`MPESITE_SCOPE`
An editor site within a MultiPageEditorPart.
`static final String`
`PAGESITE_SCOPE`
A page site service locator scope.
`static final String`
`PARTSITE_SCOPE`
A part site service locator scope.
`static final String`
`WINDOW_SCOPE`
A workbench window service locator scope.
`static final String`
`WORKBENCH_SCOPE`
The global service locator scope.

## Field Details

### WORKBENCH_SCOPE

static final String WORKBENCH_SCOPE
The global service locator scope.

See Also:
  - Constant Field Values

### DIALOG_SCOPE

static final String DIALOG_SCOPE
A sub-scope to the global scope that is not the workbench window.

Since:
  3.5
See Also:
  - Constant Field Values

### WINDOW_SCOPE

static final String WINDOW_SCOPE
A workbench window service locator scope.

See Also:
  - Constant Field Values

### PARTSITE_SCOPE

static final String PARTSITE_SCOPE
A part site service locator scope. Found in editors and views.

See Also:
  - Constant Field Values

### PAGESITE_SCOPE

static final String PAGESITE_SCOPE
A page site service locator scope. Found in pages in a PageBookView.

See Also:
  - Constant Field Values

### MPESITE_SCOPE

static final String MPESITE_SCOPE
An editor site within a MultiPageEditorPart.

See Also:
  - Constant Field Values